# $Revision: 1.34 $, $Date: 2008/07/27 22:44:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SOCKS perl module
Summary(pl.UTF-8):	Moduł perla Net::SOCKS
Name:		perl-Net-SOCKS
Version:	0.03
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/SOCKS-%{version}.tar.gz
# Source0-md5:	81f63a1fb252d211a083909fbdc1611b
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SOCKS - a SOCKS client.

%description -l pl.UTF-8
Net::SOCKS - klient SOCKS.

%prep
%setup -q -n SOCKS-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install example $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO example
%{perl_vendorlib}/Net/SOCKS.pm
%{perl_vendorlib}/auto/Net/SOCKS
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SOCKS.spec,v $
Revision 1.34  2008/07/27 22:44:53  arekm
- release 10

Revision 1.33  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.31  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.30  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.29  2004/05/06 18:20:46  ankry
- fixed perl-devel BR

Revision 1.28  2004/04/27 00:33:14  ankry
- tests added, other fixes

Revision 1.27  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 20:21:51  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:37:18  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:14:28  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:48:16  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 21:54:47  marcus
- rel.7.

Revision 1.15  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:31:28  depesz
adapterized

Revision 1.13  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:13:32  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/19 06:16:23  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.8  2001/01/13 01:08:57  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
